mangled reply-to: header when a reply-to: header exists

Bug #1604181 reported by Jackie McBride
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
GNU Mailman
Undecided
Unassigned

Bug Description

I'm trying to set my list up such that folks reply to the list, but can also view a poster's email in order to reply personally if they desire. I've set 'Reply-to:' to list, & I didn't strip the first 'reply-to:' header. When someone has a reply-to: address set, I get 3 addresses--the list address, the poster's address, & a mangled address that consists of the poster's address prior to the @ sign & the fqdn of the list following it. So if my list address is <email address hidden>, & my poster w/the reply-to: setting's email is <email address hidden>, I'd get addresses as:
<email address hidden>
<email address hidden> (which there is no such address) &
<email address hidden>.

I'm running Mailman 2.1.16. Has this perchance been fixed in subsequent versions?

Mark Sapiro (msapiro)
Changed in mailman:
status: New → Incomplete
Revision history for this message
Mark Sapiro (msapiro) wrote :

When you say you get 3 addresses, do you mean all 3 addresses are in Reply-To: or do you mean that when you 'reply' in your MUA (and what is that?) the reply is addressed to those 3 addresses.

It sounds as if you may have set from_is_list to Munge From for this list., but I'm not sure. I've never seen anything like <email address hidden> being put in Reply-To: by Mailman. Possibly the original post had Reply-Tp: poster (i.e. poster without a domain and your MTA rewrote the unqualified address by adding your domain.

If from_is_list to Munge From, a message from the list with first_strip_reply_to = Yes, reply_goes_to_list = This list and Mailman 2.1.16 that was sent To: <email address hidden> From: <email address hidden> should have headers

From: bob via list <email address hidden>
Reply-To: <email address hidden>, <email address hidden> plus anything else in Bob's original Reply-To:

The current release is similar except <email address hidden> will be added to Cc: rather than Reply-To:

There have been ongoing changes in this area in almost every release since 2.1.16, but without understanding more about exactly what you are seeing, I can't say if this is something that's been 'fixed' or a bug or intended behavior.

See http://bazaar.launchpad.net/~mailman-coders/mailman/2.1/view/head:/NEWS for all the changes since 2.1.16.

Revision history for this message
Jackie McBride (abletec) wrote :

Hi, Mark, & thanks for your reply. My header is set to munge from, & the reply-to: is set to 'this list. I use PostFix,. I'm sorry for the spam munging of the addresses--I know it makes them kind of hard to figure out--but a couple of these addresses are real, & I'd prefer my list not be bombarded by spambots if it can be helped.

The list address is:
midimag dash ex at mailman dot midimag dash xt dot org
The poster's address is:
info at accessibilitytraining dot co dot uk
He has a reply to: header set in his email client, which is set to his address. In addition to the list address & his address, the address that appears in the email header as well is:
Accessibility at mailman dot midimag dash xt dot org
which is a thoroughly bogus address.

Got any ideas? Quite frankly, I'm baffled.

Revision history for this message
Jackie McBride (abletec) wrote :

Hi, Mark, & thanks for your reply. My header is set to 'munge from' & reply-to: is set to 'this list'. I'm using Postfix.

I apologize in advance--I'm going to munge these addresses, because some of them are real. The scenario is as follows.

The list address is midimag dash ex at mailman dot midimag dash xt dot org
The poster's address is info at accessibilitytraining dot co dot uk
He has a reply-to: header set in his email client w/the above co.uk address.
When he replies to the list, the reply-to: header contains the list address &, instead of his email address, there's an address Accessibility at mailman dot midimag dash xt dot org instead of his actual email address. Also, the a in accessibility is capitalized, but that's not the way his email address appears.

I hope you have some ideas, cuz I'm totally baffled.

Revision history for this message
Mark Sapiro (msapiro) wrote :
Download full text (3.7 KiB)

I note you are telling me two different things in Comments #2 and #3.

Comment #2 says
In addition to the list address & his address, the address that appears in the email header as well is:
Accessibility at mailman dot midimag dash xt dot org
which is a thoroughly bogus address.

which says there are 3 addresses in (I assume) Reply-To: of the post from Mailman.

Comment #3 says
the reply-to: header contains the list address &, instead of his email address, there's an address Accessibility at mailman dot midimag dash xt dot org instead of his actual email address.

which says there are only 2 addresses in Reply-To: of the post from Mailman.

I'd like to see the raw headers of the mail from the list. If you don't want to post them here, you can mail them to <email address hidden>.

Here's an example of full headers of a mail to a list:

From <email address hidden> Mon Jul 18 22:57:00 2016
Date: Mon, 18 Jul 2016 22:57:00 -0700
From: Mark Sapiro <email address hidden>
To: <email address hidden>
Subject: Test mail
Message-ID: <email address hidden>
Reply-To: <email address hidden>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.24 (2015-08-30)
Status: RO
Content-Length: 147
Lines: 4

And the headers of the mail from the list

From <email address hidden> Mon Jul 18 22:57:14 2016
Return-Path: <email address hidden>
X-Original-To: <email address hidden>
Delivered-To: <email address hidden>
Received: from [127.0.1.1] (localhost [127.0.0.1])
        by msapiro.net (Postfix) with ESMTP id E6AC234028D
        for <email address hidden>; Mon, 18 Jul 2016 22:57:10 -0700 (PDT)
X-Original-To: <email address hidden>
Delivered-To: <email address hidden>
Received: by msapiro.net (Postfix, from userid 1000)
        id DEC133402D7; Mon, 18 Jul 2016 22:57:00 -0700 (PDT)
Date: Mon, 18 Jul 2016 22:57:00 -0700
To: <email address hidden>
Message-ID: <email address hidden>
MIME-Version: 1.0
Content-Disposition: inline
User-Agent: Mutt/1.5.24 (2015-08-30)
X-msapiro-MailScanner: Found to be clean
X-msapiro-MailScanner-SpamCheck: not spam, SpamAssassin (not cached, score=0,
        required 6, autolearn=not spam,
        NO_RELAYS -0.00, URIBL_BLOCKED 0.00)
X-Spam-Status: No
Subject: [List1] Test mail
X-BeenThere: <email address hidden>
X-Mailman-Version: 2.1.22
Precedence: list
List-Id: My List one <list1.msapiro.net>
List-Unsubscribe: <http://msapiro.net/mailman/options/list1>,
        <mailto:<email address hidden>?subject=unsubscribe>
List-Archive: <http://msapiro.net/pipermail/list1/>
List-Post: <mailto:<email address hidden>>
List-Help: <mailto:<email address hidden>?subject=help>
List-Subscribe: <http://msapiro.net/mailman/listinfo/list1>,
        <mailto:<email address hidden>?subject=subscribe>
From: Mark Sapiro via List1 <email address hidden>
Reply-To: <email address hidden>, My List one <email address hidden>
Cc: Mark Sapiro <email address hidden>
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Errors-To: <email address hidden>
Sender: List1 <email address hidden>
X-msapiro-MailScanner-ID: E6AC234028D.AFCF3
X-msapiro-MailScanner: F...

Read more...

Revision history for this message
Jackie McBride (abletec) wrote : Re: [Bug 1604181] Re: mangled reply-to: header when a reply-to: header exists
Download full text (11.5 KiB)

Hi, Mark. Thanks for the private email. I promise I won't abuse it.
Here is the header. Note particularly the reply-to:Reply-To:
<email address hidden>,
 <email address hidden>,
 Phil Muir <email address hidden>
 This was a direct copy-paste, & it's weird that the
<email address hidden> address contains an uppercase
letter. Do you have any idea what is occurring?

https://mail.google.com/mail/u/0/h/rzsloxyya12s/?th=156001d8e1dccb49v=om

Delivered-To: <email address hidden>
Received: by 10.37.22.2 with SMTP id 2csp1271120ybw;
        Mon, 18 Jul 2016 15:25:52 -0700 (PDT)
X-Received: by 10.66.144.200 with SMTP id so8mr10577521pab.94.1468880752243;
        Mon, 18 Jul 2016 15:25:52 -0700 (PDT)
Return-Path: <email address hidden>
Received: from mailman.midimag-xt.org (mailman.midimag-xt.org. [107.170.199.86])
        by mx.google.com with ESMTP id ro7si28933425pab.251.2016.07.18.15.25.51;
        Mon, 18 Jul 2016 15:25:52 -0700 (PDT)
Received-SPF: pass (google.com: domain of
<email address hidden> designates 107.170.199.86 as
permitted sender) client-ip=107.170.199.86;
Authentication-Results: mx.google.com;
       dkim=fail <email address hidden>;
       spf=pass (google.com: domain of
<email address hidden> designates 107.170.199.86 as
permitted sender)
<email address hidden>
Received: from mailman.midimag-xt.org (localhost [127.0.0.1])
 by mailman.midimag-xt.org (Postfix) with ESMTP id 14E1412403B;
 Mon, 18 Jul 2016 15:25:51 -0700 (MST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=mailman.midimag-xt.org; s=mailman; t=1468880751;
 bh=LWN5eghNrqijU7VjrNrEV2Wej3+KA03rqZ77M+Cv4+Y=;
 h=In-Reply-To:References:Date:To:Subject:From:Reply-To:List-Id:
  List-Unsubscribe:List-Archive:List-Post:List-Help:List-Subscribe:
  Sender:From;
 b=Qb2gdCszjPsfJU8z/Qy48U+sXvRUY6RetxvxhAlCa73r0XRKsH6S97bdXA+//He6w
  B9lYmU7pHWP5W32Mserx2bMFzrNYh1HzFFsJhvwzwaNtpDqe3ovPjsInb7/YKcQ3xI
  De0WpTiAar0u/+qEKajU3ZuwSSv2nfPR6aH5O0js=
X-Original-To: <email address hidden>
Delivered-To: <email address hidden>
Received: from outbound44.dataflame.com (outbound44.dataflame.com
 [91.103.219.62])
 by mailman.midimag-xt.org (Postfix) with ESMTPS id 726BF12402A
 for <email address hidden>; Mon, 18 Jul 2016 15:25:40 -0700 (MST)
X-Virus-Scanned: by SpamTitan at dataflame.co.uk
Received: from [2.216.153.142] (port=60675 helo=android-6c0a3f0408928b1b)
 by primrose.dataflame.com with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-SHA:256)
 (Exim 4.87) (envelope-from <email address hidden>)
 id 1bPGyg-002oKs-Lc
 for <email address hidden>; Mon, 18 Jul 2016 23:25:32 +0100
User-Agent: K-9 Mail for Android
In-Reply-To: <email address hidden>
References: <email address hidden>
 <email address hidden>
MIME-Version: 1.0
Date: Mon, 18 Jul 2016 23:25:31 +0100
To: <email address hidden>
Message-ID: <FF7F3C5C-11BD-48AD-9734-783FCF401A9A@accessibilitytra...

Revision history for this message
Mark Sapiro (msapiro) wrote :

Does this occur only with posts from this one person? Do you know what's in his original Reply-To: (ask him to Bcc: you on his next post)?

Have you tried first_strip_reply_to = Yes?

Is this a distribution package Mailman (if so, which one)?

If Mailman is installed from source, I recommend upgrading to 2.1.22 or later.

Revision history for this message
Jackie McBride (abletec) wrote :

Hi, Mark.
"Have you tried first_strip_reply_to = Yes?"
Yes. But what it also does in most cases is to strip the poster's
address, which is not what I want.

"Is this a distribution package Mailman (if so, which one)?"
Ubuntu.

I'll ask him to bcc me & send it along. I'm going to test to see if I
can duplicate this w/other reply-to: settings.

On 7/19/16, Mark Sapiro <email address hidden> wrote:
> Does this occur only with posts from this one person? Do you know what's
> in his original Reply-To: (ask him to Bcc: you on his next post)?
>
> Have you tried first_strip_reply_to = Yes?
>
> Is this a distribution package Mailman (if so, which one)?
>
> If Mailman is installed from source, I recommend upgrading to 2.1.22 or
> later.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1604181
>
> Title:
> mangled reply-to: header when a reply-to: header exists
>
> Status in GNU Mailman:
> Incomplete
>
> Bug description:
> I'm trying to set my list up such that folks reply to the list, but can
> also view a poster's email in order to reply personally if they desire. I've
> set 'Reply-to:' to list, & I didn't strip the first 'reply-to:' header. When
> someone has a reply-to: address set, I get 3 addresses--the list address,
> the poster's address, & a mangled address that consists of the poster's
> address prior to the @ sign & the fqdn of the list following it. So if my
> list address is <email address hidden>, & my poster w/the reply-to:
> setting's email is <email address hidden>, I'd get addresses as:
> <email address hidden>
> <email address hidden> (which there is no such address) &
> <email address hidden>.
>
> I'm running Mailman 2.1.16. Has this perchance been fixed in
> subsequent versions?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mailman/+bug/1604181/+subscriptions
>

--
Jackie McBride
Website Hosting, Repair, & Development
Author of the Upcoming Book
"My Site's Been Hacked, Now what?: A Guide to Preventing and Fixing a
Compromised Website"
www.brighter-vision.com Where Visionaries & Technology Unite for Good

Revision history for this message
Jackie McBride (abletec) wrote :
Download full text (4.6 KiB)

Mark, if he just emails me, the header looks like:

Delivered-To: <email address hidden>
Received: by 10.37.22.2 with SMTP id 2csp1699972ybw;
        Tue, 19 Jul 2016 11:05:45 -0700 (PDT)
X-Received: by 10.28.138.18 with SMTP id m18mr6127346wmd.63.1468951545029;
        Tue, 19 Jul 2016 11:05:45 -0700 (PDT)
Return-Path: <email address hidden>
Received: from outbound37.dataflame.com (outbound37.dataflame.com.
[91.103.219.55])
        by mx.google.com with ESMTPS id
c184si21512657wmd.123.2016.07.19.11.05.44
        for <email address hidden>
        (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
        Tue, 19 Jul 2016 11:05:44 -0700 (PDT)
Received-SPF: softfail (google.com: domain of transitioning
<email address hidden> does not designate 91.103.219.55 as
permitted sender) client-ip=91.103.219.55;
Authentication-Results: mx.google.com;
       spf=softfail (google.com: domain of transitioning
<email address hidden> does not designate 91.103.219.55 as
permitted sender) <email address hidden>
X-Virus-Scanned: by SpamTitan at dataflame.co.uk
Received: from [2.216.153.142] (port=65112 helo=phils15inchmac)
 by primrose.dataflame.com with esmtpa (Exim 4.87)
 (envelope-from <email address hidden>)
 id 1bPZOg-000i3A-OZ
 for <email address hidden>; Tue, 19 Jul 2016 19:05:37 +0100
Reply-To: <email address hidden>
From: "Phil Muir" <email address hidden>
To: "'Jackie McBride'" <email address hidden>
References: <email address hidden>
In-Reply-To: <email address hidden>
Subject: RE: mailman & midimag
Date: Tue, 19 Jul 2016 19:05:35 +0100
Organization: P J Muir Productions
Message-ID: <90AAC4C3777C4759866B77EAC830392C@phils15inchmac>
MIME-Version: 1.0
Content-Type: text/plain;
 charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
Thread-Index: AdHh55cmAQuwq+ZrRRCmrWPI1V6WCgAAGE0g
X-MimeOLE: Produced By Microsoft MimeOLE V6.1.7601.17609
X-OutGoing-Spam-Status: No, score=-2.9

On 7/19/16, Jackie McBride <email address hidden> wrote:
> Hi, Mark.
> "Have you tried first_strip_reply_to = Yes?"
> Yes. But what it also does in most cases is to strip the poster's
> address, which is not what I want.
>
> "Is this a distribution package Mailman (if so, which one)?"
> Ubuntu.
>
> I'll ask him to bcc me & send it along. I'm going to test to see if I
> can duplicate this w/other reply-to: settings.
>
> On 7/19/16, Mark Sapiro <email address hidden> wrote:
>> Does this occur only with posts from this one person? Do you know what's
>> in his original Reply-To: (ask him to Bcc: you on his next post)?
>>
>> Have you tried first_strip_reply_to = Yes?
>>
>> Is this a distribution package Mailman (if so, which one)?
>>
>> If Mailman is installed from source, I recommend upgrading to 2.1.22 or
>> later.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1604181
>>
>> Title:
>> mangled reply-to: header when a reply-to: header exists
>>
>> Status in GNU Mailman:
>> Incomplete
>>
>> Bu...

Read more...

Revision history for this message
Mark Sapiro (msapiro) wrote :

Again, is this only with posts from this one person or from everyone?

In Mailman 2.1.16 with from_is_list = Mung From, first_strip_reply_to = Yes and reply_to_list = This list, the posters original From: should be added to Reply-To: (in the latest versions, it will be added to Cc: in this case).

And is this a distro's Mailman package, and if so, which?

Revision history for this message
Jackie McBride (abletec) wrote :

So far, I think it's this 1 person's, Mark, but I really need to do
some more thorough checking. As mentioned in the last post, it's a
Ubuntu distribution of Mailman.

On 7/19/16, Mark Sapiro <email address hidden> wrote:
> Again, is this only with posts from this one person or from everyone?
>
> In Mailman 2.1.16 with from_is_list = Mung From, first_strip_reply_to =
> Yes and reply_to_list = This list, the posters original From: should be
> added to Reply-To: (in the latest versions, it will be added to Cc: in
> this case).
>
> And is this a distro's Mailman package, and if so, which?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1604181
>
> Title:
> mangled reply-to: header when a reply-to: header exists
>
> Status in GNU Mailman:
> Incomplete
>
> Bug description:
> I'm trying to set my list up such that folks reply to the list, but can
> also view a poster's email in order to reply personally if they desire. I've
> set 'Reply-to:' to list, & I didn't strip the first 'reply-to:' header. When
> someone has a reply-to: address set, I get 3 addresses--the list address,
> the poster's address, & a mangled address that consists of the poster's
> address prior to the @ sign & the fqdn of the list following it. So if my
> list address is <email address hidden>, & my poster w/the reply-to:
> setting's email is <email address hidden>, I'd get addresses as:
> <email address hidden>
> <email address hidden> (which there is no such address) &
> <email address hidden>.
>
> I'm running Mailman 2.1.16. Has this perchance been fixed in
> subsequent versions?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mailman/+bug/1604181/+subscriptions
>

--
Jackie McBride
Website Hosting, Repair, & Development
Author of the Upcoming Book
"My Site's Been Hacked, Now what?: A Guide to Preventing and Fixing a
Compromised Website"
www.brighter-vision.com Where Visionaries & Technology Unite for Good

Revision history for this message
Jackie McBride (abletec) wrote :

Hey Mark, I may have found something. It appears that when this poster
sends email via Outlook, everything is fine. But when he uses k-9 on
his Android, it's not. I've asked him to post again w/his phone to
confirm this. That could prove interesting--& perhaps even helpful.
I'll get back.

On 7/19/16, Jackie McBride <email address hidden> wrote:
> So far, I think it's this 1 person's, Mark, but I really need to do
> some more thorough checking. As mentioned in the last post, it's a
> Ubuntu distribution of Mailman.
>
> On 7/19/16, Mark Sapiro <email address hidden> wrote:
>> Again, is this only with posts from this one person or from everyone?
>>
>> In Mailman 2.1.16 with from_is_list = Mung From, first_strip_reply_to =
>> Yes and reply_to_list = This list, the posters original From: should be
>> added to Reply-To: (in the latest versions, it will be added to Cc: in
>> this case).
>>
>> And is this a distro's Mailman package, and if so, which?
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1604181
>>
>> Title:
>> mangled reply-to: header when a reply-to: header exists
>>
>> Status in GNU Mailman:
>> Incomplete
>>
>> Bug description:
>> I'm trying to set my list up such that folks reply to the list, but can
>> also view a poster's email in order to reply personally if they desire.
>> I've
>> set 'Reply-to:' to list, & I didn't strip the first 'reply-to:' header.
>> When
>> someone has a reply-to: address set, I get 3 addresses--the list address,
>> the poster's address, & a mangled address that consists of the poster's
>> address prior to the @ sign & the fqdn of the list following it. So if my
>> list address is <email address hidden>, & my poster w/the reply-to:
>> setting's email is <email address hidden>, I'd get addresses as:
>> <email address hidden>
>> <email address hidden> (which there is no such address) &
>> <email address hidden>.
>>
>> I'm running Mailman 2.1.16. Has this perchance been fixed in
>> subsequent versions?
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/mailman/+bug/1604181/+subscriptions
>>
>
>
> --
> Jackie McBride
> Website Hosting, Repair, & Development
> Author of the Upcoming Book
> "My Site's Been Hacked, Now what?: A Guide to Preventing and Fixing a
> Compromised Website"
> www.brighter-vision.com Where Visionaries & Technology Unite for Good
>

--
Jackie McBride
Website Hosting, Repair, & Development
Author of the Upcoming Book
"My Site's Been Hacked, Now what?: A Guide to Preventing and Fixing a
Compromised Website"
www.brighter-vision.com Where Visionaries & Technology Unite for Good

Revision history for this message
Mark Sapiro (msapiro) wrote :

Sorry, I missed your Ubuntu comment the first time. I don't see any patches at http://archive.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.16-2ubuntu0.1.debian.tar.gz that would affect this.

I can try to duplicate this with the 2.1.16 base, but I have to build it so it won't be right away.

However, I still think it might be something in his original Reply-To: which I haven't yet seen. The message you posted at https://bugs.launchpad.net/mailman/+bug/1604181/comments/8 was sent from "X-Mailer: Microsoft Office Outlook 11" and his list post at https://bugs.launchpad.net/mailman/+bug/1604181/comments/5 was sent from "User-Agent: K-9 Mail for Android"

What does his Reply-To: look like in a message from his phone? If it looks something like

Reply-To: Accessibility, ... <email address hidden>

that could explain this.

Revision history for this message
Mark Sapiro (msapiro) wrote :

I hadn't seen https://bugs.launchpad.net/mailman/+bug/1604181/comments/11 when I wrote https://bugs.launchpad.net/mailman/+bug/1604181/comments/12, but I'm now certain it's something in the Reply-To: header from the phone.

Revision history for this message
Jackie McBride (abletec) wrote :

Mark, this list member lives in the UK, & it's late there now, but
hopefully he'll do as I request & post w/his phone to the list at his
earliest convenience. I do suspect it is something w/the phone
reply-to: header, though I can't say I understand precisely what at
this point. Seems as though we arrived at the same conclusion
independently lol. Talk about a head-banger! Kind of interesting,
though. I'm not familiar w/k-9--is this a user agent you've seen?
It'll be interesting to see if this is an isolated event due to a
misconfigured reply-to: header or if there are others who are
experiencing anything remotely similar.

I had looked at Ubuntu & couldn't find anything more recent than the
version I already have. But I'm not entirely certain that a later
version would address something like this anyway. I'd have installed
it from source if I thought it would've, truth be told.

On 7/19/16, Mark Sapiro <email address hidden> wrote:
> I hadn't seen
> https://bugs.launchpad.net/mailman/+bug/1604181/comments/11 when I wrote
> https://bugs.launchpad.net/mailman/+bug/1604181/comments/12, but I'm now
> certain it's something in the Reply-To: header from the phone.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1604181
>
> Title:
> mangled reply-to: header when a reply-to: header exists
>
> Status in GNU Mailman:
> Incomplete
>
> Bug description:
> I'm trying to set my list up such that folks reply to the list, but can
> also view a poster's email in order to reply personally if they desire. I've
> set 'Reply-to:' to list, & I didn't strip the first 'reply-to:' header. When
> someone has a reply-to: address set, I get 3 addresses--the list address,
> the poster's address, & a mangled address that consists of the poster's
> address prior to the @ sign & the fqdn of the list following it. So if my
> list address is <email address hidden>, & my poster w/the reply-to:
> setting's email is <email address hidden>, I'd get addresses as:
> <email address hidden>
> <email address hidden> (which there is no such address) &
> <email address hidden>.
>
> I'm running Mailman 2.1.16. Has this perchance been fixed in
> subsequent versions?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mailman/+bug/1604181/+subscriptions
>

--
Jackie McBride
Website Hosting, Repair, & Development
Author of the Upcoming Book
"My Site's Been Hacked, Now what?: A Guide to Preventing and Fixing a
Compromised Website"
www.brighter-vision.com Where Visionaries & Technology Unite for Good

Revision history for this message
Mark Sapiro (msapiro) wrote :

What we want to see is an email from his phone, not one from the list sant from his phone. I.e., we want to see the original Reply-To: from the phone.

I actually use K-9 Mail on my Android phone. I think it is excellent as mobile device MUAs go. But K-9 isn't the issue. The issue is what he has set as the Reply-To: address in the account he's sending from.

For Ubuntu packages, see http://packages.ubuntu.com/search?keywords=mailman. Also see <https://wiki.list.org/x/17891606> about upgrading from source, but I don't think that will change this behavior although 2.1.18+ will allow you to Munge From only from domains with DMARC policy. Setting first_strip_reply_to = Yes will probably fix this for you and will still add the original From: to Reply-To:.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers